| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Locators Class Reference

Adapter class that provides a LocatorsIterator interface from a LocatorListConstIterator. More...

`#include <LocatorList.hpp>`

Inheritance diagram for Locators:
[legend]

## Public Member Functions

| Locators (const LocatorListConstIterator &it)
| Constructor.
| Locators (const Locators &other)
| Copy constructor.
LocatorsIterator & | operator++ ()
| Increment operator.
bool | operator== (const LocatorsIterator &other) const
| Equal to operator.
bool | operator!= (const LocatorsIterator &other) const
| Not equal to operator.
const Locator & | operator* () const
| Dereference operator.

## Detailed Description

Adapter class that provides a LocatorsIterator interface from a LocatorListConstIterator.

## Constructor & Destructor Documentation

## ◆ Locators() [1/2]

Locators | ( | const LocatorListConstIterator & | it | ) |

inline

Constructor.

## ◆ Locators() [2/2]

Locators | ( | const Locators & | other | ) |

inline

Copy constructor.

## Member Function Documentation

## ◆ operator!=()

bool operator!= | ( | const LocatorsIterator & | other | ) | const

inline virtual

Not equal to operator.

Parameters

  other | LocatorsIterator to compare.

Returns
  true if not equal.
  false otherwise.

Implements LocatorsIterator.

## ◆ operator*()

const Locator & operator* | ( |  | ) | const

inline virtual

Dereference operator.

Returns
  const Locator& Reference to the locator pointed by the LocatorsIterator.

Implements LocatorsIterator.

## ◆ operator++()

LocatorsIterator & operator++ | ( |  | ) |

inline virtual

Increment operator.

Returns
  LocatorsIterator& reference to the next LocatorsIterator.

Implements LocatorsIterator.

## ◆ operator==()

bool operator== | ( | const LocatorsIterator & | other | ) | const

inline virtual

Equal to operator.

Parameters

  other | LocatorsIterator to compare.

Returns
  true if equal.
  false otherwise.

Implements LocatorsIterator.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/LocatorList.hpp